import requests
import json

class ApiRequest:
    def __init__(self):
        self.base_url = "http://localhost:36011/api/"

    def get_program_variables(self):
        r = requests.get(self.base_url + 'get-program-variables')

        return r.text

    def request_remote_access(self, requesters_name, one_time_password, domain):
        r = requests.post(self.base_url + 'request-remote-access', data='{ "requesters_name" : "' + requesters_name + '", "one_time_password": "'+ one_time_password +'", "domain": "'+ domain +'"  }')
        d = json.loads(r.text)
        if (r.status_code != 200) :
            raise Exception(d["message"])
        return d["message"]

    def end_remote_session(self):
        r = requests.post(self.base_url + 'end-remote-session')
        d = json.loads(r.text)
        if (r.status_code != 200) :
            raise Exception(d["message"])
        return d["message"]

    def notify_urcap_update_available(self, urcap_version_new):
        r = requests.post(self.base_url + 'notify-urcap-update-available', data='{ "latestUrCapVersion" : "' + urcap_version_new  +'" }')
        d = json.loads(r.text)
        if (r.status_code != 200) :
            raise Exception(d["message"])
        return d["message"]

    def request_to_start_software_update(self, target_version):
        r = requests.post(self.base_url + 'notify-software-update-requested', data='{ "target_version" : "' + target_version +'"  }')
        d = json.loads(r.text)
        if (r.status_code != 200) :
            raise Exception(d["message"])
        return d["message"]